<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Fetch Demo</title>
</head>

<body>

    <script>

        // GET meetod - ettevõtete küsimine Mareki REST API põhisest rakendusest.
        async function getAllCompanies() {
            let result = await fetch('http://68.183.77.163:8110/companies');
            let companies = await result.json();
            console.log(companies);
        }

        getAllCompanies();

        // POST meetod - ettevõtte lisamine Mareki REST API rakendusse
        async function addOrEditCompany(comp) {
            let result = await fetch(
                'http://68.183.77.163:8110/companies',
                {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify(comp)
                }
            );
        }

        async function deleteCompany(companyId) {
            let result = await fetch(
                'http://68.183.77.163:8110/companies/' + companyId,
                {
                    method: 'DELETE'
                }
            );
        }

        let company = {
            id: 54,
            name: "Marek SpaceCom Vol 2",
            established: "2010-06-19",
            employees: 55453,
            logo: "https://s.err.ee/photo/orig/2020/03/04/756706h5709.jpg?timestamp=1582713395540"
        };


        //addOrEditCompany(company);
        // deleteCompany(54);

    </script>
</body>

</html>